import { IPoint } from "../../interfaces/IPoint.js";
import { IDesignItem } from "../item/IDesignItem.js";
/**
 * This function filters a items list, so only the outer elments are used for example in a move
 */
export declare function filterChildPlaceItems(items: IDesignItem[]): IDesignItem[];
export declare function getDesignItemCurrentPos(designItem: IDesignItem, mode: 'position' | 'transform' | 'margin' | 'padding'): IPoint;
export declare function placeDesignItem(container: IDesignItem, designItem: IDesignItem, offset: IPoint, mode: 'position' | 'transform' | 'margin' | 'padding'): void;
export declare function roundValue(designItem: IDesignItem, value: number): string;
